
Database - Bug #6275

SKIP-DELETED-RECORD implementation

04/13/2022 04:02 AM - Stanislav Lomany

Status: Review Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#1 - 04/13/2022 04:16 AM - Stanislav Lomany

- File skip2.p added

- File skip.p added

- File 6275.diff added

SKIP-DELETED-RECORD was implemented as a part of #5882. In turned out that these changes weren't necessary for fixing that task, but they fix

some cases and here I want to drop the code for review.

#2 - 04/13/2022 07:06 AM - Greg Shah

- Start date deleted (04/13/2022)

Ovidiu: Please review.

#3 - 04/19/2022 12:16 PM - Ovidiu Maxiniuc

Greg Shah wrote:

Ovidiu: Please review.

 

A single question: calls to stopOnSkippedRecord occur on first, next, and previous navigation. Shouldn't this be the case for last?

#4 - 08/23/2022 02:30 PM - Greg Shah

A single question: calls to stopOnSkippedRecord occur on first, next, and previous navigation. Shouldn't this be the case for last?

 

Stanislav: This question is still pending.
#5 - 08/26/2022 09:34 PM - Stanislav Lomany

- File deleted (6275.diff)

#6 - 08/26/2022 09:40 PM - Stanislav Lomany

- File skip-all.p added

- File 6275.diff added

A single question: calls to stopOnSkippedRecord occur on first, next, and previous navigation. Shouldn't this be the case for last?

 

Ovidiu, I did some testing and you're right. I updated the diff file.

Stanislav: This question is still pending.

 

Sorry, turns out I somehow managed to forget about this task.

#7 - 08/26/2022 09:41 PM - Stanislav Lomany

- Status changed from New to WIP

#8 - 08/26/2022 09:41 PM - Stanislav Lomany

- Status changed from WIP to Review

Files

skip.p 376 Bytes 04/13/2022 Stanislav Lomany

skip2.p 619 Bytes 04/13/2022 Stanislav Lomany

skip-all.p 1.97 KB 08/27/2022 Stanislav Lomany

6275.diff 2.83 KB 08/27/2022 Stanislav Lomany
